Skip to main content
POST
/
api
/
v3
/
store
/
orders
/
{order_id}
/
coupon_codes
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const order = await client.store.orders.couponCodes.apply('or_abc123', 'SAVE10', {
  bearerToken: '<token>',
})
{
  "id": "or_UkLWZg9DAJ",
  "number": "R795624609",
  "state": "cart",
  "token": "xztU4oAb2fgekg7W4edpWu8XtDqSEJNxeLm",
  "email": "domonique@bauch.biz",
  "special_instructions": null,
  "currency": "USD",
  "locale": "en",
  "item_count": 1,
  "state_lock_version": 1,
  "shipment_state": null,
  "payment_state": null,
  "item_total": "10.0",
  "display_item_total": "$10.00",
  "ship_total": "100.0",
  "display_ship_total": "$100.00",
  "adjustment_total": "0.0",
  "display_adjustment_total": "$0.00",
  "promo_total": "0.0",
  "display_promo_total": "$0.00",
  "tax_total": "0.0",
  "display_tax_total": "$0.00",
  "included_tax_total": "0.0",
  "display_included_tax_total": "$0.00",
  "additional_tax_total": "0.0",
  "display_additional_tax_total": "$0.00",
  "total": "110.0",
  "display_total": "$110.00",
  "completed_at": null,
  "created_at": "2026-03-05T10:12:59.254Z",
  "updated_at": "2026-03-05T10:12:59.391Z",
  "order_promotions": [],
  "line_items": [
    {
      "id": "li_UkLWZg9DAJ",
      "variant_id": "variant_UkLWZg9DAJ",
      "quantity": 1,
      "currency": "USD",
      "name": "Product 86861",
      "slug": "product-86861",
      "options_text": "",
      "price": "10.0",
      "display_price": "$10.00",
      "total": "10.0",
      "display_total": "$10.00",
      "adjustment_total": "0.0",
      "display_adjustment_total": "$0.00",
      "additional_tax_total": "0.0",
      "display_additional_tax_total": "$0.00",
      "included_tax_total": "0.0",
      "display_included_tax_total": "$0.00",
      "promo_total": "0.0",
      "display_promo_total": "$0.00",
      "pre_tax_amount": "10.0",
      "display_pre_tax_amount": "$10.00",
      "discounted_amount": "10.0",
      "display_discounted_amount": "$10.00",
      "display_compare_at_amount": "$0.00",
      "created_at": "2026-03-05T10:12:59.293Z",
      "updated_at": "2026-03-05T10:12:59.293Z",
      "compare_at_amount": null,
      "thumbnail_url": null,
      "option_values": [],
      "digital_links": []
    }
  ],
  "shipments": [
    {
      "id": "ship_UkLWZg9DAJ",
      "number": "H76099278715",
      "state": "pending",
      "tracking": "U10000",
      "tracking_url": null,
      "cost": "100.0",
      "display_cost": "$100.00",
      "shipped_at": null,
      "created_at": "2026-03-05T10:12:59.301Z",
      "updated_at": "2026-03-05T10:12:59.319Z",
      "shipping_method": {
        "id": "shpm_UkLWZg9DAJ",
        "name": "UPS Ground",
        "code": "UPS_GROUND"
      },
      "stock_location": {
        "id": "sloc_UkLWZg9DAJ",
        "state_abbr": "STATE_ABBR_65",
        "name": "Geoffrey Streich",
        "address1": "1600 Pennsylvania Ave NW",
        "city": "Washington",
        "zipcode": "20500",
        "country_iso": "US",
        "country_name": "United States of America",
        "state_text": "STATE_ABBR_65"
      },
      "shipping_rates": [
        {
          "id": "shpr_UkLWZg9DAJ",
          "shipping_method_id": "shpm_UkLWZg9DAJ",
          "name": "UPS Ground",
          "selected": true,
          "cost": "100.0",
          "display_cost": "$100.00",
          "shipping_method": {
            "id": "shpm_UkLWZg9DAJ",
            "name": "UPS Ground",
            "code": "UPS_GROUND"
          }
        }
      ]
    }
  ],
  "payments": [
    {
      "id": "py_UkLWZg9DAJ",
      "payment_method_id": "pm_UkLWZg9DAJ",
      "state": "checkout",
      "response_code": "1-SC-20260305101259379006",
      "number": "PCWLUSFQ",
      "amount": "50.0",
      "display_amount": "$50.00",
      "created_at": "2026-03-05T10:12:59.384Z",
      "updated_at": "2026-03-05T10:12:59.384Z",
      "source_type": "store_credit",
      "source_id": "credit_UkLWZg9DAJ",
      "source": {
        "id": "credit_UkLWZg9DAJ",
        "amount": "50.0",
        "amount_used": "0.0",
        "amount_remaining": "50.0",
        "display_amount": "$50.00",
        "display_amount_used": "$0.00",
        "display_amount_remaining": "$50.00",
        "currency": "USD"
      },
      "payment_method": {
        "id": "pm_UkLWZg9DAJ",
        "name": "Store Credit",
        "description": null,
        "type": "Spree::PaymentMethod::StoreCredit",
        "session_required": false
      }
    }
  ],
  "bill_address": {
    "id": "addr_EfhxLZ9ck8",
    "firstname": "John",
    "lastname": "Doe",
    "full_name": "John Doe",
    "address1": "67 Lovely Street",
    "address2": "Northwest",
    "city": "Herndon",
    "zipcode": "35005",
    "phone": "555-555-0199",
    "company": "Company",
    "country_name": "United States of America",
    "country_iso": "US",
    "state_text": "STATE_ABBR_67",
    "state_abbr": "STATE_ABBR_67",
    "quick_checkout": false,
    "state_name": "STATE_NAME_67"
  },
  "ship_address": {
    "id": "addr_VqXmZF31wY",
    "firstname": "John",
    "lastname": "Doe",
    "full_name": "John Doe",
    "address1": "68 Lovely Street",
    "address2": "Northwest",
    "city": "Herndon",
    "zipcode": "35005",
    "phone": "555-555-0199",
    "company": "Company",
    "country_name": "United States of America",
    "country_iso": "US",
    "state_text": "STATE_ABBR_68",
    "state_abbr": "STATE_ABBR_68",
    "quick_checkout": false,
    "state_name": "STATE_NAME_68"
  },
  "payment_methods": [
    {
      "id": "pm_UkLWZg9DAJ",
      "name": "Store Credit",
      "description": null,
      "type": "Spree::PaymentMethod::StoreCredit",
      "session_required": false
    }
  ]
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Authorization
string
header
required

JWT token for authenticated customers

Headers

x-spree-api-key
string
required
Authorization
string

Bearer token for authenticated customers

x-spree-order-token
string

Order token for guest access

Idempotency-Key
string

Unique key for request idempotency. Duplicate requests with the same key return the cached response.

Path Parameters

order_id
string
required

Order ID

Body

application/json
code
string
required

Coupon code or gift card code to apply

Example:

"SAVE10"

Response

coupon code applied (gift card)

id
string
required
number
string
required
state
string
required
token
string
required
email
string | null
required
special_instructions
string | null
required
currency
string
required
locale
string | null
required
item_count
number
required
state_lock_version
number
required
shipment_state
string | null
required
payment_state
string | null
required
item_total
string
required
display_item_total
string
required
ship_total
string
required
display_ship_total
string
required
adjustment_total
string
required
display_adjustment_total
string
required
promo_total
string
required
display_promo_total
string
required
tax_total
string
required
display_tax_total
string
required
included_tax_total
string
required
display_included_tax_total
string
required
additional_tax_total
string
required
display_additional_tax_total
string
required
total
string
required
display_total
string
required
completed_at
string | null
required
created_at
string
required
updated_at
string
required
order_promotions
object[]
required
line_items
object[]
required
shipments
object[]
required
payments
object[]
required
bill_address
object
required
ship_address
object
required
payment_methods
object[]
required